#! /bin/sh

### BEGIN INIT INFO
# Default-Start:     2 3 4 5
# Default-Stop:      0 1 6
#
# example:
# ln -s /etc/init.d/dynaccess.sh /etc/rc3.d/S99dynaccess;
# ln -s /etc/init.d/dynaccess.sh /etc/rc0.d/K10dynaccess;
#
# please configure HOSTNAME and PASSWORD
#
### END INIT INFO

HOSTNAME=YourAccount.dynaccess.com
PASSWORD=secret
OPTIONS="-LOGHeartBeat=0 -LOGmyIP=0 -LOGsetIP=0"




PATH=/usr/local/sbin:/usr/local/bin:/sbin:/bin:/usr/sbin:/usr/bin
test -x /usr/local/bin/dynaccessposter || exit 0
set -e

case "$1" in
  start|restart)                                                                                                                                   
	/usr/local/bin/dynaccessposter force -hostname=$HOSTNAME -passwd="$PASSWORD" $OPTIONS
	;;
  stop)
	/usr/local/bin/dynaccessposter offline -hostname=$HOSTNAME -passwd="$PASSWORD" $OPTIONS
	;;
  *)
	echo "Usage: $0 {start|stop|restart}" >&2
	exit 1
	;;
esac

exit 0

